Authorization: Bearer ********************curl --location --request POST '/api/travel-requests' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"travelerId": "550e8400-e29b-41d4-a716-446655440000",
"projectId": "550e8400-e29b-41d4-a716-446655440001",
"destination": "Riyadh, KSA",
"additionalDestinations": [
"Jeddah, KSA"
],
"origin": "Dubai, UAE",
"departureDate": "2024-03-15T10:00:00Z",
"returnDate": "2024-03-20T18:00:00Z",
"purpose": "delivery",
"estimatedCost": "5000",
"notes": "Client meeting"
}'{
"requesterId": "string",
"travelerId": "string",
"projectId": "string",
"visaId": "string",
"originId": "string",
"destinationIds": [
"string"
],
"departureDate": "string",
"returnDate": "string",
"tripType": 0,
"preferredTimeframe": 0,
"airportArrivalTime": "string",
"isFlightRequired": true,
"isHotelRequired": true,
"isVisaValid": true,
"type": 0,
"purpose": "string",
"customPurpose": "string",
"notes": "string"
}